import React from 'react';
import { Card } from 'antd';

const { Meta } = Card;

export default (props) => {

  const { dish = {} } = props;

  const style = {
    height: dish.thumb ? '160px' : '400px',
    overflowY: 'auto',
  }

  return (
    <Card cover={<img alt='' src={dish.thumb} />} style={{ width: '360px', height: '480px' }}>
      <Meta
        title={dish.name}
        description={<div dangerouslySetInnerHTML={{ __html: dish.content }} style={style} />} />
    </Card>
  )
}
