import request from '@/utils/request';

/**
 * 查询列表
 * @param {*} params
 * @returns
 */
export const getRegulationList = (params) => request('/posts', { params,successTip:false });

/**
* 新增,更新
*  @param {*} data
 *@param {*} id
* @returns
*/
export const addRegulation = (data) => request(`/posts`, { method: 'post', data });

/**
* 详情
* @param {*} id
* @returns
*/
export const getRegulationById = (id) => request(`/posts/${id}` ,{successTip:false});

/**
 * 删除
 * @param {*} id
 * @returns
 */
export const deleteRegulation = (id) => request(`/posts/${id}`, { method: 'delete' });